| OpenCV 4.3.0 Open Source Computer Vision

Classes | Functions
Image Blenders
Images stitching

## Classes
class | cv::detail::Blender
| Base class for all blenders. More...
class | cv::detail::FeatherBlender
| Simple blender which mixes images at its borders. More...
class | cv::detail::MultiBandBlender
| Blender which uses multi-band blending algorithm (see [33]). More...

## Functions
| cv::detail::FeatherBlender::FeatherBlender (float sharpness=0.02f)
void | cv::detail::createLaplacePyr (InputArray img, int num_levels, std::vector< UMat > &pyr)
void | cv::detail::createLaplacePyrGpu (InputArray img, int num_levels, std::vector< UMat > &pyr)
void | cv::detail::createWeightMap (InputArray mask, float sharpness, InputOutputArray weight)
void | cv::detail::normalizeUsingWeightMap (InputArray weight, InputOutputArray src)
void | cv::detail::restoreImageFromLaplacePyr (std::vector< UMat > &pyr)
void | cv::detail::restoreImageFromLaplacePyrGpu (std::vector< UMat > &pyr)

## Detailed Description

## Function Documentation

## ◆ FeatherBlender()

cv::detail::FeatherBlender::FeatherBlender | ( | float | sharpness = `0.02f` | ) |
| inline

Python:
| <detail_FeatherBlender object> | = | cv.detail_FeatherBlender( | [, sharpness] | )

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ createLaplacePyr()

void cv::detail::createLaplacePyr | ( | InputArray | img,
|  | int | num_levels,
|  | std::vector< UMat > & | pyr
| ) |  |

Python:
| pyr | = | cv.detail.createLaplacePyr( | img, num_levels, pyr | )

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ createLaplacePyrGpu()

void cv::detail::createLaplacePyrGpu | ( | InputArray | img,
|  | int | num_levels,
|  | std::vector< UMat > & | pyr
| ) |  |

Python:
| pyr | = | cv.detail.createLaplacePyrGpu( | img, num_levels, pyr | )

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ createWeightMap()

void cv::detail::createWeightMap | ( | InputArray | mask,
|  | float | sharpness,
|  | InputOutputArray | weight
| ) |  |

Python:
| weight | = | cv.detail.createWeightMap( | mask, sharpness, weight | )

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ normalizeUsingWeightMap()

void cv::detail::normalizeUsingWeightMap | ( | InputArray | weight,
|  | InputOutputArray | src
| ) |  |

Python:
| src | = | cv.detail.normalizeUsingWeightMap( | weight, src | )

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ restoreImageFromLaplacePyr()

void cv::detail::restoreImageFromLaplacePyr | ( | std::vector< UMat > & | pyr | ) |

Python:
| pyr | = | cv.detail.restoreImageFromLaplacePyr( | pyr | )

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ restoreImageFromLaplacePyrGpu()

void cv::detail::restoreImageFromLaplacePyrGpu | ( | std::vector< UMat > & | pyr | ) |

Python:
| pyr | = | cv.detail.restoreImageFromLaplacePyrGpu( | pyr | )

`#include <opencv2/stitching/detail/blenders.hpp>`